Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.opensymphony.xwork2.validator.annotations
Enum ValidatorType

    java.lang.Object
      java.lang.Enum<ValidatorType>
          com.opensymphony.xwork2.validator.annotations.ValidatorType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ValidatorType>

    public enum ValidatorType

extends java.lang.Enum<ValidatorType>

`ValidatorType`

Version:
  $Id: ValidatorType.java 894090 2009-12-27 18:18:29Z martinc $
Author:
  Rainer Hermanns

Enum Constant Summary
`FIELD`
`SIMPLE`

Method Summary
`java.lang.String` | `toString()`
`static ValidatorType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ValidatorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FIELD

    public static final ValidatorType FIELD

### SIMPLE

    public static final ValidatorType SIMPLE

Method Detail

### values

    public static ValidatorType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ValidatorType c : ValidatorType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ValidatorType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<ValidatorType>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.